import http from '../http'

export default {
  page: data => http.post('/v1/equip_location/page', data).then(res => res),
  getTree: data =>
    http.put('/v1/equip_location/get_tree', data).then(res => res),
  pageForCatalogue: data =>
    http.post('/v1/equip_location/page-for-catalogue', data).then(res => res),
  getById: id => http.get('/v1/equip_location/' + id).then(res => res),
  edit: data =>
    http.put('/v1/equip_location?id=' + data.id, data.obj).then(res => res),
  add: data => http.post('/v1/equip_location/', data).then(res => res)
}
